Subject: Re: [PATCH] rebase: introduce allow-inline-reword option

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Aug 2022 15:36:06 -0700

Théo Maillart <[email-masked]> writes:

> So, if I understand your suggestion correctly, we can say that,
> most of the logic is implemented in this patch, but I should move
> the "inline" logic from the "reword" to a new action "retitle".

Yeah, I was hoping that most of the logic has already been written,
except that it is likely you just ignored the original log message
and overwrote it with the single line you got, but now you need to
read the original and replace only the title (the "paragraph" before
the first blank line), which you may not have yet.